#include <Adafruit_LEDBackpack.h>

/***********************************************
Broth Teeth Project
Add a second button between GND and RESET 
for a new countdown.

************************************************/

#include <Wire.h>
#include "Adafruit_GFX.h"
#include "Adafruit_LEDBackpack.h"
Adafruit_7segment matrix = Adafruit_7segment();

unsigned long previousSecondMillis = 0UL;
long oneSecond = 1000UL; // milliseconds per second


#define BUZZ    3  //pin 3  connect to Buzzer
#define startMinute 0  //  Modify these defines to
#define startSecond 30 // change the timer interval
int minutes = startMinute;
int seconds = startSecond;
boolean isCountingDown = false;
int button  = 9;  //pin 9 connect to Button

void setup()
{  
  matrix.begin(0x70);
  pinMode(button, INPUT);
  digitalWrite(button, HIGH);
}

void loop() 
{
    //Wait for button press to start Countdown
  if(digitalRead(button) == LOW){
   delay(100);  //delay to debounce switch

   isCountingDown = !isCountingDown;    //toggle running variable
  
 }

  
  if (millis() - previousSecondMillis >= oneSecond) {

    matrix.writeDigitNum(0, (minutes / 10));
    matrix.writeDigitNum(1, (minutes % 10));
    matrix.writeDigitNum(3, (seconds / 10));
    matrix.writeDigitNum(4, (seconds % 10));
    matrix.writeDisplay();

   if (isCountingDown) {

      if (seconds-- == 0) {
        if (minutes == 0) {
          minutes = startMinute;
          seconds = startSecond;
          digitalWrite (BUZZ, HIGH) ;// Buzzer On
          delay(10000);
          while (1);
        } else {
          minutes -= 1;
          seconds = 59;
        }
      }
    }

    previousSecondMillis += oneSecond;
  }
}
